std::complex< long double > Class Reference
Numerics » Complex Numbers

`#include <complex>`

## Public Types

typedef __complex__ long double | _ComplexT
typedef long double | value_type

## Public Member Functions

constexpr | complex (_ComplexT __z)
constexpr | complex (const complex &)=default
constexpr | complex (const complex< double > &__z)
constexpr | complex (const complex< float > &__z)
constexpr | complex (long double __r=0.0L, long double __i=0.0L)
| __attribute ((__abi_tag__("cxx11"))) const expr long double imag() const
| __attribute ((__abi_tag__("cxx11"))) const expr long double real() const
constexpr _ComplexT | __rep () const
constexpr void | imag (long double __val)
template<typename _Tp >
constexpr complex & | operator*= (const complex< _Tp > &__z)
constexpr complex & | operator*= (long double __r)
template<typename _Tp >
constexpr complex & | operator+= (const complex< _Tp > &__z)
constexpr complex & | operator+= (long double __r)
template<typename _Tp >
constexpr complex & | operator-= (const complex< _Tp > &__z)
constexpr complex & | operator-= (long double __r)
template<typename _Tp >
constexpr complex & | operator/= (const complex< _Tp > &__z)
constexpr complex & | operator/= (long double __r)
constexpr complex & | operator= (const complex &)=default
template<typename _Tp >
constexpr complex & | operator= (const complex< _Tp > &__z)
constexpr complex & | operator= (long double __r)
constexpr void | real (long double __val)

## Detailed Description

26.2.3 complex specializations complex<long double> specialization

Definition at line 1663 of file complex.

## Member Typedef Documentation

## _ComplexT

typedef __complex__ long double std::complex< long double >::_ComplexT

Definition at line 1667 of file complex.

## value_type

typedef long double std::complex< long double >::value_type

Definition at line 1666 of file complex.

## Constructor & Destructor Documentation

## complex() [1/4]

constexpr std::complex< long double >::complex | ( | _ComplexT | __z | ) |

inline constexpr

Definition at line 1669 of file complex.

## complex() [2/4]

constexpr std::complex< long double >::complex | ( | long double | __r = `0.0L`,
|  | long double | __i = `0.0L`
| ) |  |

inline constexpr

Definition at line 1671 of file complex.

## complex() [3/4]

constexpr std::complex< long double >::complex | ( | const complex< float > & | __z | ) |

inline constexpr

Definition at line 1692 of file complex.

## complex() [4/4]

constexpr std::complex< long double >::complex | ( | const complex< double > & | __z | ) |

inline constexpr

Definition at line 1695 of file complex.

## Member Function Documentation

## __attribute() [1/2]

std::complex< long double >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const

inline

Definition at line 1706 of file complex.

## __attribute() [2/2]

std::complex< long double >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const

inline

Definition at line 1702 of file complex.

## __rep()

constexpr _ComplexT std::complex< long double >::__rep | ( |  | ) | const

inline constexpr

Definition at line 1813 of file complex.

## imag()

constexpr void std::complex< long double >::imag | ( | long double | __val | ) |

inline constexpr

Definition at line 1729 of file complex.

## operator*=() [1/2]

template<typename _Tp >

constexpr complex & std::complex< long double >::operator*= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1797 of file complex.

## operator*=() [2/2]

constexpr complex & std::complex< long double >::operator*= | ( | long double | __r | ) |

inline constexpr

Definition at line 1753 of file complex.

## operator+=() [1/2]

template<typename _Tp >

constexpr complex & std::complex< long double >::operator+= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1781 of file complex.

## operator+=() [2/2]

constexpr complex & std::complex< long double >::operator+= | ( | long double | __r | ) |

inline constexpr

Definition at line 1739 of file complex.

## operator-=() [1/2]

template<typename _Tp >

constexpr complex & std::complex< long double >::operator-= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1789 of file complex.

## operator-=() [2/2]

constexpr complex & std::complex< long double >::operator-= | ( | long double | __r | ) |

inline constexpr

Definition at line 1746 of file complex.

## operator/=() [1/2]

template<typename _Tp >

constexpr complex & std::complex< long double >::operator/= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1806 of file complex.

## operator/=() [2/2]

constexpr complex & std::complex< long double >::operator/= | ( | long double | __r | ) |

inline constexpr

Definition at line 1760 of file complex.

## operator=() [1/2]

template<typename _Tp >

constexpr complex & std::complex< long double >::operator= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1773 of file complex.

## operator=() [2/2]

constexpr complex & std::complex< long double >::operator= | ( | long double | __r | ) |

inline constexpr

Definition at line 1732 of file complex.

## real()

constexpr void std::complex< long double >::real | ( | long double | __val | ) |

inline constexpr

Definition at line 1726 of file complex.

The documentation for this class was generated from the following file:

- complex